let options = {
    username: [],
    num_views: [5,20],
    time_sleep: [5,10],
    diapason_akk: [],
    timer_mode: 0,
    timer_mode_num: "",
};

$('#boost_views_start').on('click', async function () {
    //{"chats":["@dfgggh",http....","t.me..."],"online":[0,48],"type":["admin","bots","alluser"]}
    //Получение данных из textarea
    options.username = [];
    let lines = $('#get_username_channel').val().split(/\n/);
    //let texts = [];
    for (var i = 0; i < lines.length; i++) {
        if (/\S/.test(lines[i])) {
            options.username.push($.trim(lines[i]));
        }
    }

    if ($('#timer_mode').is(':checked')){
        options.timer_mode = 1;
        options.timer_mode_num = $('#num_timer').val();
    } else {
        options.timer_mode = 0;
    }

    let time_sleep_from = $('#time_sleep_from').val();
    let time_sleep_before = $('#time_sleep_before').val();
    if(parseInt(time_sleep_from) >= parseInt(time_sleep_before)){
        error('Значение времени "до" не может быть меньше!')
        return
    } else {
        options.time_sleep[0] = time_sleep_from;
        options.time_sleep[1] = time_sleep_before;
    }

    let num_view_from = $('#num_view_from').val();
    let num_view_before = $('#num_view_before').val();
    if(parseInt(num_view_from) >= parseInt(num_view_before)){
        error('Значение времени "до" не может быть меньше!')
        return
    } else {
        options.num_views[0] = num_view_from;
        options.num_views[1] = num_view_before;
    }

    clear_log = 0
    let json = JSON.stringify(options);
    //Получили json обьект
    let this_class = $(this).hasClass("btn-success");
    if (this_class == true) {
        $(this).removeClass('btn-success');
        $(this).addClass('btn-danger');
        $(this).text("Остановить");
        $('#log li').remove();
        save_login_chat_history();
        console.log(json)
        await eel.boosts_views(json)();
    } else {
        $(this).removeClass('btn-danger');
        $(this).addClass('btn-success');
        $(this).text("Запустить");
        eel.stopped('views') //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ТУТ КНОПКА ОТМЕНИТЬ
    }

});

eel.expose(set_finished_btn);
function set_finished_btn(){
    $('#boost_views_start').removeClass('btn-danger');
    $('#boost_views_start').addClass('btn-success');
    $('#boost_views_start').text("Запустить");
}


let clear_log = 0
eel.expose(log);
function log(log_line) {
  if (clear_log == 250){
    $('#log li:first').remove();
  } else {clear_log = clear_log + 1}
  $('#log').append('<li>' + log_line + '</li>');
  $('#log_div').scrollTop($('#log_div')[0].scrollHeight);
}

function save_login_chat_history(){
    let lines = $('#get_username_channel').val()
    localStorage.setItem('get_username_channel', lines);
}
  
$('#get_login_chat_history').on('click', function(){
    let username_list = localStorage.getItem('get_username_channel');
    $('#get_username_channel').val(username_list)
});

$('#select_accounts').on('click', async function () {
    options.diapason_akk = [];
    load_accounts();
});

$('#select_accounts_apply').on('click', async function () {
    $('#select_accounts_modal').modal('hide');
    let from = 1;
    let before = $('#table_users >tbody >tr').length;
    //Запускаем цикл по всей таблице
    for (let i = from; i <= before; i++) {
        let type_bg = $('#table_users tr').eq(i).attr("class");
        if (type_bg == "bg_selected") {
        //Получаем номер телефона
        phone_user = $('#table_users tr').eq(i).children('#phone').html();
        options.diapason_akk.push(phone_user);
        }
    }
    $("#account_num").removeClass('d-none');
    $("#account_num").text(options.diapason_akk.length);
});

window.addEventListener("beforeunload", function (e) {        
    eel.stopped('views')
});

$('#timer_mode').on('click', function () {
    if ($('#timer_mode').is(':checked')){
        $('.timer_mode_input').removeClass('d-none');
    } else {
        $('.timer_mode_input').addClass('d-none');
    }
})

// eel.expose(error);
function error(text) {
    Swal.fire({
        position: 'center',
        icon: 'error',
        title: 'Ошибка',
        text: text,
        showConfirmButton: false,
        timer: 2100
    })
}